A valid request URL is required to generate request examples{
"sysidHomeForum": 12345,
"customRules": [
{
"sysidAccountCustomRule": 12345,
"sysidCustomRuleType": 12345
},
{
"sysidAccountCustomRule": 12345,
"sysidCustomRuleType": 12345
}
],
"images": [
{
"height": 12345,
"width": 12345,
"sysidAccountImage": 12345,
"description": "...",
"thumbnailSource": "...",
"imageSource": "...",
"displayOrder": 12345,
"defaultImage": true,
"name": "..."
},
{
"height": 12345,
"width": 12345,
"sysidAccountImage": 12345,
"description": "...",
"thumbnailSource": "...",
"imageSource": "...",
"displayOrder": 12345,
"defaultImage": true,
"name": "..."
}
],
"name": "...",
"license": "...",
"active": true,
"description": "...",
"accountType": "PUBLIC_PUBLISHER",
"sysidOwnerUser": 12345,
"sysidAccount": 12345,
"allowICS": true,
"login": "...",
"externalMeetingTypes": [
{
"sysidAccountExternalMeeting": 12345,
"sysidExternalMeetingType": 12345
},
{
"sysidAccountExternalMeeting": 12345,
"sysidExternalMeetingType": 12345
}
],
"password": "...",
"sysidAccountType": 12345,
"tangoAccountID": "...",
"displayLinks": [
{
"text": "...",
"description": "...",
"targetURL": "...",
"sysidLanguage": 12345,
"display": true,
"imageURL": "...",
"expirationAqDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
},
"external": true,
"sysidDisplayLink": 12345,
"displayOrder": 12345,
"activationAqDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
}
},
{
"text": "...",
"description": "...",
"targetURL": "...",
"sysidLanguage": 12345,
"display": true,
"imageURL": "...",
"expirationAqDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
},
"external": true,
"sysidDisplayLink": 12345,
"displayOrder": 12345,
"activationAqDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
}
}
]
}Put systemaccounts
Update a new Account using the given account data value. Accounts represent customers who wish to provide resources and users within a forum in order to allow users to reserve those resources.
Note: This operation may only be performed by System Administrators.
This operation requires an Account Data value.
This operation returns an Account Data value.
Note: The Forum marked as the Home Forum for the Account must exist before the Account can be created.
A valid request URL is required to generate request examples{
"sysidHomeForum": 12345,
"customRules": [
{
"sysidAccountCustomRule": 12345,
"sysidCustomRuleType": 12345
},
{
"sysidAccountCustomRule": 12345,
"sysidCustomRuleType": 12345
}
],
"images": [
{
"height": 12345,
"width": 12345,
"sysidAccountImage": 12345,
"description": "...",
"thumbnailSource": "...",
"imageSource": "...",
"displayOrder": 12345,
"defaultImage": true,
"name": "..."
},
{
"height": 12345,
"width": 12345,
"sysidAccountImage": 12345,
"description": "...",
"thumbnailSource": "...",
"imageSource": "...",
"displayOrder": 12345,
"defaultImage": true,
"name": "..."
}
],
"name": "...",
"license": "...",
"active": true,
"description": "...",
"accountType": "PUBLIC_PUBLISHER",
"sysidOwnerUser": 12345,
"sysidAccount": 12345,
"allowICS": true,
"login": "...",
"externalMeetingTypes": [
{
"sysidAccountExternalMeeting": 12345,
"sysidExternalMeetingType": 12345
},
{
"sysidAccountExternalMeeting": 12345,
"sysidExternalMeetingType": 12345
}
],
"password": "...",
"sysidAccountType": 12345,
"tangoAccountID": "...",
"displayLinks": [
{
"text": "...",
"description": "...",
"targetURL": "...",
"sysidLanguage": 12345,
"display": true,
"imageURL": "...",
"expirationAqDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
},
"external": true,
"sysidDisplayLink": 12345,
"displayOrder": 12345,
"activationAqDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
}
},
{
"text": "...",
"description": "...",
"targetURL": "...",
"sysidLanguage": 12345,
"display": true,
"imageURL": "...",
"expirationAqDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
},
"external": true,
"sysidDisplayLink": 12345,
"displayOrder": 12345,
"activationAqDate": {
"discriminator": "AqDate",
"hour": 12345,
"tzIdValue": "...",
"year": 12345,
"month": 12345,
"dayOfMonth": 12345,
"minute": 12345,
"noEndDate": true
}
}
]
}Path Parameters
Integer SYSID of the account being updated
Body
AccountData
Show child attributes
Show child attributes
Show child attributes
Show child attributes
PUBLIC_PUBLISHER, PRIVATE_BUSINESS Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
AccountData returnType com.agilquest.phoenix.shared.data.account.AccountData
Show child attributes
Show child attributes
Show child attributes
Show child attributes
PUBLIC_PUBLISHER, PRIVATE_BUSINESS Show child attributes
Show child attributes
Show child attributes
Show child attributes

